import resolve from '@rollup/plugin-node-resolve';
import commonjs from '@rollup/plugin-commonjs';
import vue from 'rollup-plugin-vue';
import babel from '@rollup/plugin-babel';
import json from '@rollup/plugin-json';

export default {
  input: 'src/index.js', // 入口文件
  output: {
    dir: 'dist',
    format: 'es', // 输出格式
  },
  plugins: [
    resolve(),
    commonjs(),
    vue(),
    babel({
      exclude: 'node_modules/**',
      babelHelpers: 'bundled'
    }),
    json(),
  ],

  external: ['vue'],
};
